<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
    <h5 style="margin-top: 15px;">
       <span jhiTranslate="mpmApp.vehicleCustomerRequest.detail.title">Vehicle Customer Requests</span>
    </h5>
    <br/>
    <p-panel>
        <p-header>
            <!-- {{'global.field.id' | translate}} : {{vehicleCustomerRequest.idRequest}} -->
            <ul class="nav justify-content-end">
                <li class="nav-item" [hidden]="!(vehicleCustomerRequest.currentStatus === 10 || vehicleCustomerRequest.currentStatus === 11)">
                    <a class="btn" (click)="canceled()" style="cursor: pointer;">
                        <span><i class="fa fa-remove"></i> &nbsp;{{'entity.action.cancel' | translate}}</span>
                    </a>
                </li>
                <li class="nav-item" [hidden]="vehicleCustomerRequest.currentStatus !== 12 || vehicleCustomerRequest.qtyToShipment > 0">
                    <a class="btn" (click)="completed()" style="cursor: pointer;">
                        <span><i class="fa fa-check"></i> &nbsp;{{'entity.action.completed' | translate}}</span>
                    </a>
                </li>
                <li class="nav-item" [hidden]="vehicleCustomerRequest.currentStatus !== 11 || vehicleCustomerRequest.qtyToShipment > 0">
                    <a class="btn" (click)="approved()" style="cursor: pointer;">
                        <span><i class="fa fa-check"></i> &nbsp;{{'entity.action.approve' | translate}}</span>
                    </a>
                </li>
                <li class="nav-item" [hidden]="vehicleCustomerRequest.currentStatus !== 10">
                    <a class="btn" (click)="activated()" style="cursor: pointer;">
                        <span><i class="fa fa-check"></i> &nbsp;{{'entity.action.submited' | translate}}</span>
                    </a>
                </li>
                <li class="nav-item">
                    <a class="btn" (click)="print()" style="cursor: pointer;">
                        <span><i class="fa fa-print"></i> &nbsp;{{'entity.action.print' | translate}}</span>
                    </a>
                </li>
                <li class="nav-item">
                    <a class="btn" (click)="previousState()" style="cursor: pointer;">
                        <span><i class="fa fa-angle-left" aria-hidden="true"></i> &nbsp;{{'entity.action.back' | translate}}</span>
                    </a>
                </li>
                <li class="nav-item">
                    <a class="btn" (click)="save()" href="javascript:void(0)" style="cursor: pointer;">
                        <span><i class="fa fa-save"></i> &nbsp;{{'entity.action.save' | translate}}</span>
                    </a>
                </li>
            </ul>
        </p-header>
        <div class="card-deck" style="margin-bottom: 15px;">
            <div class="card">
                <div class="card-block">
                    <div class="form-group">
                        <label class="form-control-label" jhiTranslate="mpmApp.vehicleCustomerRequest.requestNumber" for="field_requestNumber">Request Number</label>
                        <input type="text" class="form-control" name="requestNumber" id="field_requestNumber" [readonly]="true" [(ngModel)]="vehicleCustomerRequest.requestNumber"  />
                    </div>
                    <div class="form-group">
                        <label jhiTranslate="mpmApp.vehicleCustomerRequest.internal" for="field_internal">Internal</label>
                        <select class="form-control" id="field_internal" name="internal" [(ngModel)]="vehicleCustomerRequest.internalId" [disabled]="true">
                            <option [ngValue]="null"></option>
                            <option [ngValue]="internalOption.idInternal" *ngFor="let internalOption of internals; trackBy: trackInternalById">{{internalOption.idInternal}} - {{internalOption.organization.name}}</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label jhiTranslate="mpmApp.vehicleCustomerRequest.requestType" for="field_requestType">Request Type</label>
                        <select class="form-control" id="field_requestType" name="requestType" [(ngModel)]="vehicleCustomerRequest.requestTypeId" [disabled]="true">
                            <option [ngValue]="null"></option>
                            <option [ngValue]="requestTypeOption.idRequestType" *ngFor="let requestTypeOption of requesttypes; trackBy: trackRequestTypeById">{{requestTypeOption.description}}</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label class="form-control-label" jhiTranslate="mpmApp.vehicleCustomerRequest.description" for="field_description">Description</label>
                        <input type="text" class="form-control" name="description" id="field_description"
                            [(ngModel)]="vehicleCustomerRequest.description"  />
                    </div>
                </div>
            </div>
            <div class="card">
                <div class="card-block">
                    <div class="form-group" [hidden]="vehicleCustomerRequest.requestTypeId === 102">
                        <label jhiTranslate="mpmApp.vehicleCustomerRequest.customer" for="field_customer">Customer</label>
                        <select class="form-control" id="field_customer" name="customer" [(ngModel)]="vehicleCustomerRequest.customerId" [disabled]="true">
                            <option [ngValue]="null"></option>
                            <option [ngValue]="customerOption.idCustomer" *ngFor="let customerOption of organizationCustomers; trackBy: trackCustomerById">{{customerOption.idCustomer}} - {{customerOption.partyName}}</option>
                        </select>
                    </div>
                    <div class="form-group" [hidden]="vehicleCustomerRequest.requestTypeId !== 102">
                        <label jhiTranslate="mpmApp.vehicleCustomerRequest.broker" for="field_broker">Broker</label>
                        <select class="form-control" id="field_broker" name="broker" [(ngModel)]="vehicleCustomerRequest.salesBrokerId" [disabled]="true">
                            <option [ngValue]="null"></option>
                            <option [ngValue]="brokerOption.idPartyRole" *ngFor="let brokerOption of brokers; trackBy: trackBrokerById">{{brokerOption.idBroker}} - {{brokerOption.person.name}}</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label jhiTranslate="mpmApp.vehicleCustomerRequest.salesman" for="field_broker">Salesman</label>
                        <select class="form-control" id="field_salesman" name="salesman" [(ngModel)]="vehicleCustomerRequest.idSalesman" [disabled]="true">
                            <option [ngValue]="null"></option>
                            <option [value]="salesman.idPartyRole" *ngFor="let salesman of salesmans">{{salesman.partyName}}</option>
                        </select>
                    </div>
                    
                    <div class="form-group">
                        <label class="form-control-label" jhiTranslate="mpmApp.vehicleCustomerRequest.customerOrder" for="field_customerOrder">Customer Order</label>
                        <input type="text" class="form-control" name="customerOrder" id="field_customerOrder"
                            [(ngModel)]="vehicleCustomerRequest.customerOrder"  />
                    </div>
                    <div class="row">
                        <div class="col-sm-6">
                            <div class="form-group">
                                <label class="form-control-label" jhiTranslate="mpmApp.vehicleCustomerRequest.dateCreate" for="field_dateCreate">Date Create</label>
                                <div class="input-group">
                                    <p-calendar inputId="field_dateCreate" name="input_dateCreate" 
                                        [(ngModel)]="vehicleCustomerRequest.dateCreate" dateFormat="dd-mm-yy"
                                        [showTime]="false" hourFormat="24" 
                                        [showSeconds]="false" 
                                        [showIcon]="true">
                                    </p-calendar>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="form-group">
                                <label class="form-control-label" jhiTranslate="mpmApp.vehicleCustomerRequest.dateRequest" for="field_dateRequest">Date Request</label>
                                <div class="input-group">
                                    <p-calendar inputId="field_dateRequest" name="input_dateRequest" 
                                        [(ngModel)]="vehicleCustomerRequest.dateRequest" dateFormat="dd-mm-yy"
                                        [showTime]="false" hourFormat="24" 
                                        [showSeconds]="false" 
                                        [showIcon]="true">
                                    </p-calendar>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <jhi-sur-request-as-list 
            [idSalesBroker] = "vehicleCustomerRequest.salesBrokerId"
            [idCustomer] = "vehicleCustomerRequest.customerId"
            [idRequestType] = "vehicleCustomerRequest.requestTypeId"
            [idInternal]="vehicleCustomerRequest.idInternal" 
            [idRequestType]="vehicleCustomerRequest.requestTypeId" 
            [idRequest]="idRequest">
        </jhi-sur-request-as-list>
    </p-panel>
</form>
<p-confirmDialog></p-confirmDialog>
<p-dialog header="Information" [(visible)]="displayInformation">
    <div [innerHTML]="information"></div>
    <p-footer>
        <button type="button" pButton icon="fa-times" (click)="displayInformation=false" label="Close"></button>
    </p-footer>
</p-dialog>